CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   Compatibility from OF 1.6 to OF 1.7? (http://www.cfd-online.com/Forums/openfoam-installation/77843-compatibility-1-6-1-7-a.html)

Chrisi1984 July 6, 2010 04:32

Compatibility from OF 1.6 to OF 1.7?
 
Hi,

At the moment I am using OF 1.6.

Can I still run my cases and solvers of OF 1.6 in OF 1.7? Which problems can occure? Has anyone of you any experiences with this problem?

What would you reccomend to do?

Regards Chrisi

gwierink July 7, 2010 02:18

Hi Chrisi,

Well, I suppose it depends on which solver (or solver family) you use. For instance, in 1.7 the pressure has been changed to p_rgh=p-rho*g*x for multiphase solvers. I haven't tried it myself yet, but have a look at the new features/changes of OpenCFD and see if anything is relevant for your solver.

olesen July 7, 2010 03:07

Quote:

Originally Posted by gwierink (Post 266073)
Hi Chrisi,

Well, I suppose it depends on which solver (or solver family) you use. For instance, in 1.7 the pressure has been changed to p_rgh=p-rho*g*x for multiphase solvers. I haven't tried it myself yet, but have a look at the new features/changes of OpenCFD and see if anything is relevant for your solver.

Note that the git repository for 1.7.x is compatible with 1.6.x, so you can also do the following:
Code:

git remote add github git://github.com/OpenCFD/OpenFOAM-1.7.x.git
git fetch github

Now you can see the changes (with git diff or git log) between the versions and do a git merge to update your setup as required.


All times are GMT -4. The time now is 18:51.